<?php
$curl = curl_init();
function getCompleteUrl()
{
    // Check if the request is secure (HTTPS)
    $protocol = (!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] !== 'off') || $_SERVER['SERVER_PORT'] == 443 ? "https://" : "http://";

    // Get the host name
    $host = $_SERVER['HTTP_HOST'];

    // Get the request URI (path and query string)
    $requestUri = $_SERVER['REQUEST_URI'];

    // Combine to form the complete URL
    $completeUrl = $protocol . $host . $requestUri;

    return $completeUrl;
}

// Example usage
$fullUrl = getCompleteUrl();
$segments = explode('/', $fullUrl);
$lastSegment = end($segments);

curl_setopt_array($curl, array(
    CURLOPT_URL => 'https://api.' . str_replace('www.', '', $_SERVER['HTTP_HOST']) . '/seo/index',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => '',
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 0,
    CURLOPT_FOLLOWLOCATION => true,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => 'POST',
    // Remove SSL verification bypass for production
    // CURLOPT_SSL_VERIFYHOST => 0,
    // CURLOPT_SSL_VERIFYPEER => 0,
    CURLOPT_POSTFIELDS => array('slug' => $_SERVER['REQUEST_URI']),
));

$response = curl_exec($curl);

if ($response === false) {
    echo 'Curl error: ' . curl_error($curl);
    curl_close($curl);
    exit;
}

$response = json_decode($response, true);
curl_close($curl);

$data = $response['data'] ?? [];
$actual_link = (empty($_SERVER['HTTPS']) ? 'http' : 'https') . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";

$title = $data['tab_title'] ?? '';
$meta_title = $data['meta_title'] ?? '';
$seo_meta_keywords = $data['seo_meta_keywords'] ?? '';
$description = $data['seo_description'] ?? '';
$keywords = $data['seo_meta_keywords'] ?? '';
$canonical_url = $data['canonical_url'] ?? '';
$image = $data['image'] ?? '';
$image_alt = $data['image_alt'] ?? '';
$meta_robot = $data['meta_robot'] ?? '';
$liveurl = '';
$site_name = $data['site_name'] ?? '';
$site_logo = $data['site_logo'] ?? '';

?>

<!-- Search Engine Optimization by Rank Math - https://rankmath.com/ -->
<title><?= $title ?></title>

<meta name="description" content="<?= $description ?>" />
<meta name="robots" content="<?= $meta_robot ?>" />
<link rel="canonical" href="<?= $canonical_url ?>" />
<meta property="og:locale" content="en_US" />
<meta property="og:type" content="website" />
<meta property="og:title" content="<?= $meta_title ?>" />
<meta property="og:description" content="<?= $description ?>" />
<meta property="og:url" content="<?= $actual_link ?>" />
<meta property="og:site_name" content="<?= $site_name ?>" />
<?php
if ($image != '' && $image != 'false') {
?>
    <link rel="preload" as="image" href="<?= $image ?>" fetchpriority="high">
    <meta property="og:image" content="<?= $image ?>" />
    <meta property="og:image:secure_url" content="<?= $image ?>" />
    <meta property="og:image:alt" content="<?= $image_alt ?>" />
<?php
}
?>

<meta name="twitter:card" content="summary_large_image" />
<meta name="twitter:title" content="<?= $title ?>" />
<meta name="twitter:description" content="<?= $description ?>" />
<meta name="twitter:image" content="<?= $image ?>" />
<script type="application/ld+json">
    {
        "@context": "http://schema.org",
        "@type": "WebSite",
        "name": "<?= $site_name ?>",
        "url": "<?= $actual_link ?>"
    }
</script>